Subject: Re: [RFC PATCH 0/2] gitweb: die_error (error handling) improvements

From: Jakub Narebski <[email-masked]>
Date: Mon, 13 Dec 2010 10:46:38 +0100

On Mon, 13 Dec 2010, Jakub Narebski wrote:

> Nevertheless I'll take a look how it is solved in other web applications
> written in Perl, like SVN::Web or CPAN Hubble.

SVN::Web uses eval / die... well, it uses SVN::Web::X->throw() instead
of "die" for error handling (SVN::Web::X is based on Exception::Class;
other class to use for exceprion handling is Throwable but it requires
Moose).  For errors early in the process it just uses "die".

-- 
Jakub Narebski
Poland